Skip to main content
POST
Add a message to a folder

Authorizations

Authorization
string
header
required

Your Inbound API key. Include it in the Authorization header as: Bearer

Path Parameters

id
string
required
folder
string
required

Body

raw
string

The full RFC 822 message, base64-encoded. The decoded message must be valid UTF-8 (7-bit or UTF-8 headers and bodies); encode other 8-bit content with base64 or quoted-printable.

Maximum string length: 1402200
from
string

Defaults to the mailbox's sending identity or login address

Maximum string length: 512
to
Maximum string length: 4096
cc
Maximum string length: 4096
replyTo
Maximum string length: 4096
subject
string
Maximum string length: 998
text
string
html
string
headers
object
inReplyTo
string
Maximum string length: 998
references
string[]
Maximum array length: 100
Maximum string length: 998
flags
string[]

Defaults to none for raw messages, and to \Seen (plus \Draft in Drafts) for message fields

Maximum array length: 50
Maximum string length: 255
date
string

Internal date (ISO 8601); defaults to now

Response

Response for status 201

folder
string
required
uid
number
required
uidValidity
number
required